function local2globalmanage(filename,filepath,mode)

%   local2globalmanage

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION. 

globalfilepath=filepath;


%localfiledirectory
%localfiledirectory = 'F:\users\peter\presentation\local2global\stimuli\localstimuli\';
[localfilename,localfiledirectory]=uigetfile('*.jpg','Bitte ein Bild aus der local-directory auswählen:');


if mode==0
   modefehler
   return


% directory mode   
elseif mode==11
	cd (filepath);
	filelist=dir(filepath);
    filelistsize=size(filelist);
      
	% Schleife für Files
   for filezaehler=3:filelistsize(1)
      local2global(filelist(filezaehler).name,globalfilepath,localfiledirectory);
     
   end
   ok
   return
   
% batchfile mode   
elseif mode==12
   filemat=batchfiletomat(filename,filepath);
   filematgroessevec=size(filemat);
   filematgroesse=filematgroessevec(2);
   for l=1:filematgroesse
      local2global(filelist(filezaehler).name,globalfilepath,localfiledirectory);
   end
   ok
return
      
% single file mode   
elseif mode==2
    figure
    image(imread([filepath,filename],'jpg'));
    pause(1);
    local2global(filename,globalfilepath,localfiledirectory);
	ok
end
return